Loading...
Searching...
No Matches
Client-side Call Home
Client

Call Home functionality for client-side applications. More...

Collaboration diagram for Client-side Call Home:

## Modules

| Client-side Call Home on SSH
| SSH settings for the Call Home functionality.
| Client-side Call Home on TLS
| TLS settings for the Call Home functionality.

## Functions

int | nc_accept_callhome (int timeout, struct ly_ctx *ctx, struct nc_session **session)
| Accept a Call Home connection on any of the listening binds.

## Detailed Description

Call Home functionality for client-side applications.

## Function Documentation

## nc_accept_callhome()

int nc_accept_callhome | ( | int | timeout,
|  | struct ly_ctx * | ctx,
|  | struct nc_session ** | session
| ) |  |

Accept a Call Home connection on any of the listening binds.

Parameters

  [in] | timeout | Timeout for receiving a new connection in milliseconds, 0 for non-blocking call, -1 for infinite waiting.
  [in,out] | ctx | Optional custom context to use for the session. If not set, a default context is created. Any YANG modules not present in the context and supported by the server are loaded using <get-schema> (if supported) and/or by searching the searchpath (see nc_client_set_schema_searchpath()).
  [out] | session | New session.

Returns
  1 on success, 0 on timeout, -1 on error.